Subject: bug#2410: 23.0.90; tramp: spurious ftp-error

From: Stephen Berman <[email-masked]>
Date: Fri, 20 Feb 2009 17:20:52 +0100

When I use Tramp to do an ftp transfer from Dired, I get error messages
like this:

Copy `/local/path/of/source/file' to `/ftp:[email-masked]:/remote/path/of/destination/file' failed:
(ftp-error FTP Error: DIR failed: usage: ls [remote-path [local-file]])

However, the file transer was in fact successful.  This started
happening some time within the last two or three weeks, I believe,
though I cannot date it precisely.

In GNU Emacs 23.0.90.4 (i686-pc-linux-gnu, GTK+ Version 2.14.4)
 of 2009-02-20 on escher
Windowing system distributor `The X.Org Foundation', version 11.0.10502000
Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.UTF-8
  value of $XMODIFIERS: @im=local
  locale-coding-system: utf-8-unix
  default-enable-multibyte-characters: t